import json
import os

import requests


def get_access_token():
    username = os.environ['oauthusername']
    password = os.environ['oauthpassword']
    url = "https://auth.reltio.com/oauth/token?username=" \
          + username \
          + "&grant_type=password&" \
            "password=" + password

    payload = {}
    files = {}
    headers = {
        'Authorization': 'Basic ' + os.environ['client_key']
    }

    response = requests.request("POST", url, headers=headers, data=payload, files=files)

    json_response = json.loads(response.text.encode('utf8'))
    return json_response['access_token']
